> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.limitorderexecution.md).

# LimitOrderExecution

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/settler/structs/Execution.sol)

**Title:** LimitOrderExecution

Instructions on how to execute a limit order.

```solidity
struct LimitOrderExecution {
bytes32 orderHash;
address owner;
address buyToken;
address sellToken;
uint256 minBuyAmount;
uint256 sellAmount;
uint256 buyTokenFees;
AllowanceParams allowanceParams;
}
```

**Properties**

| Name              | Type              | Description                                                                                                                                                                                                         |
| ----------------- | ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `orderHash`       | `bytes32`         | The hash of the order that this swap represents.                                                                                                                                                                    |
| `owner`           | `address`         |                                                                                                                                                                                                                     |
| `buyToken`        | `address`         | Address of the token that the user is buying                                                                                                                                                                        |
| `sellToken`       | `address`         | Address of the token that the user is selling                                                                                                                                                                       |
| `minBuyAmount`    | `uint256`         | The minimum amount of `buyToken` that the user expects to receive                                                                                                                                                   |
| `sellAmount`      | `uint256`         | The amount of `sellToken` that the user will sell                                                                                                                                                                   |
| `buyTokenFees`    | `uint256`         | The amount of `buyToken` fees that will be paid for the swap.                                                                                                                                                       |
| `allowanceParams` | `AllowanceParams` | The allowance parameters for the order. If empty, it means that at the time of the offchain validation there was already enough Permit2 allowance onchain to execute this order, so new allowance is not necessary. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.limitorderexecution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
